Package org.freeplane.plugin.script

# Class FreeplaneScriptBaseClass.ConfigProperties

java.lang.Object
org.freeplane.plugin.script.FreeplaneScriptBaseClass.ConfigProperties

Enclosing class:
  `FreeplaneScriptBaseClass`

public static class FreeplaneScriptBaseClass.ConfigProperties extends Object
Accessor for Freeplane's configuration: In scripts available as "global variable" `config`.

## Constructor Summary

Constructors
Constructor
Description
`ConfigProperties()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAt(String name)`
support config['key'] from Groovy.
`boolean`
`getBooleanProperty(String name)`
`double`
`getDoubleProperty(String name, double defaultValue)`
`String`
`getFreeplaneUserDirectory()`
`int`
`getIntProperty(String name)`
`int`
`getIntProperty(String name, int defaultValue)`
`long`
`getLongProperty(String name, int defaultValue)`
`Properties`
`getProperties()`
`String`
`getProperty(String name)`
`String`
`getProperty(String name, String defaultValue)`
`ResourceBundle`
`getResources()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConfigProperties

public ConfigProperties()

## Method Details

### getBooleanProperty

public boolean getBooleanProperty(String name)

### getDoubleProperty

public double getDoubleProperty(String name, double defaultValue)

### getIntProperty

public int getIntProperty(String name)

### getIntProperty

public int getIntProperty(String name, int defaultValue)

### getLongProperty

public long getLongProperty(String name, int defaultValue)

### getProperty

public String getProperty(String name)

### getProperty

public String getProperty(String name, String defaultValue)

### getProperties

public Properties getProperties()

### getAt

public String getAt(String name)
support config['key'] from Groovy.

### getResources

public ResourceBundle getResources()

### getFreeplaneUserDirectory

public String getFreeplaneUserDirectory()